#death
execute as @a[scores={deaths=1..}] run function single:death

#leave
execute as @a[scores={player=1..,leave=1..}] run function single:leave

#leave not a player
execute as @a[scores={player=0,leave=1..}] run tag @s remove veteran
execute as @a[scores={player=0,leave=1..}] run scoreboard players reset @s

#leave clear items
execute as @a[scores={leaveClear=1..}] run function single:leaveclear

#new
execute as @a[tag=!veteran] run function single:new

#count
scoreboard players set @e[type=armor_stand,tag=controller] count 0
execute as @a[scores={player=1..}] run scoreboard players add @e[tag=controller] count 1

#night vision regions
tag @a[tag=night_vision] remove night_vision
tag @a[x=197,y=1,z=-787,dx=34,dy=24,dz=68] add night_vision
execute as @e[tag=controller,type=armor_stand,scores={scene=..5}] run tag @a[x=209,y=1,z=-921,dx=95,dy=20,dz=72] add night_vision
execute as @e[tag=controller,type=armor_stand,scores={scene=..5}] run tag @a[x=296,y=1,z=-862,dx=8,dy=20,dz=13] remove night_vision
tag @a[x=488,y=1,z=-401,dx=56,dy=100,dz=48] add night_vision
tag @a[x=310,y=1,z=-433,dx=92,dy=100,dz=69] add night_vision
effect give @a[tag=night_vision] night_vision 99999 255 true
effect clear @a[tag=!night_vision] night_vision

#no sleeping in beds
execute as @a[scores={sleep=1..}] run effect give @s resistance 1 255 true
execute as @a[scores={sleep=1..}] run effect give @s instant_damage
execute as @a[scores={sleep=1..}] run scoreboard players reset @s sleep

#actionbar hints
execute if entity @e[type=armor_stand,tag=controller,scores={scene=1,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Talk to Gatekeeper Joe at the end of the path","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=2,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Speak to Mayor Wendall","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=3,timer=0,meet=0..5}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Talk to all of the townspeople ","color":"light_purple","bold":"false"},{"text":"[","color":"gray","bold":"true"},{"score":{"name":"@e[tag=controller]","objective":"meet"},"color":"dark_gray","bold":"false"},{"text":"/6","color":"dark_gray","bold":"false"},{"text":"]","color":"gray","bold":"true"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=4,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Return to Mayor Wendall","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=5,timer=0}] run title @a[tag=!potionWorld] actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Collect all of the ingredients ","color":"light_purple","bold":"false"},{"text":"[","color":"gray","bold":"true"},{"score":{"name":"@e[tag=controller]","objective":"ingredients"},"color":"dark_gray","bold":"false"},{"text":"/3","color":"dark_gray","bold":"false"},{"text":"]","color":"gray","bold":"true"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=5,timer=0}] if entity @e[tag=sheepster,type=sheep,tag=!endSheep] run title @a[tag=potionWorld] actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Collect all of the ingredients ","color":"light_purple","bold":"false"},{"text":"[","color":"gray","bold":"true"},{"score":{"name":"@e[tag=controller]","objective":"ingredients"},"color":"dark_gray","bold":"false"},{"text":"/3","color":"dark_gray","bold":"false"},{"text":"]","color":"gray","bold":"true"},{"text":" | ","color":"dark_gray","bold":"true"},{"text":"Sheepster's happiness: ","color":"dark_purple","bold":"false"},{"score":{"name":"@e[name=Sheepster,type=sheep]","objective":"happiness"},"color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=5,timer=0}] if entity @e[tag=sheepster,type=sheep,tag=endSheep] run title @a[tag=potionWorld] actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Collect all of the ingredients ","color":"light_purple","bold":"false"},{"text":"[","color":"gray","bold":"true"},{"score":{"name":"@e[tag=controller]","objective":"ingredients"},"color":"dark_gray","bold":"false"},{"text":"/3","color":"dark_gray","bold":"false"},{"text":"]","color":"gray","bold":"true"},{"text":" | ","color":"dark_gray","bold":"true"},{"text":"Sheepster's happiness: ","color":"dark_purple","bold":"false"},{"text":"1,000,000","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=6,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Drink the Potion of Shrinkage","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=7..8,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Find and remove the true black flower","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=9,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Talk to Nicole to sleep","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=10,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Talk to the townspeople","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=11,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Find the Tree Elder","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=12..14,powerCandy=0},tag=!playingMinigame1,tag=!playingMinigame2,tag=!playingMinigame3] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Fuel Gilbert with candy: ","color":"light_purple","bold":"false"},{"text":"⬛⬛⬛⬛","color":"red","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=12..14,powerCandy=1},tag=!playingMinigame1,tag=!playingMinigame2,tag=!playingMinigame3] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Fuel Gilbert with candy: ","color":"light_purple","bold":"false"},{"text":"⬛","color":"green","bold":"false"},{"text":"⬛⬛⬛","color":"red","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=12,powerCandy=1,time=135..200},tag=!playingMinigame1,tag=!playingMinigame2,tag=!playingMinigame3] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Fuel Gilbert with candy: ","color":"light_purple","bold":"false"},{"text":"⬛⬛⬛⬛","color":"green","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=12..14,powerCandy=2},tag=!playingMinigame1,tag=!playingMinigame2,tag=!playingMinigame3] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Fuel Gilbert with candy: ","color":"light_purple","bold":"false"},{"text":"⬛⬛","color":"green","bold":"false"},{"text":"⬛⬛","color":"red","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=12..14,powerCandy=3},tag=!playingMinigame1,tag=!playingMinigame2,tag=!playingMinigame3] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Fuel Gilbert with candy: ","color":"light_purple","bold":"false"},{"text":"⬛⬛⬛","color":"green","bold":"false"},{"text":"⬛","color":"red","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=12..14,powerCandy=4},tag=!playingMinigame1,tag=!playingMinigame2,tag=!playingMinigame3] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Fuel Gilbert with candy: ","color":"light_purple","bold":"false"},{"text":"⬛⬛⬛⬛","color":"green","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=15,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Go into the inn and talk to the inn keeper to sleep","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=16,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Visit the south side of the village","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=17,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Return to Gilbert to sleep","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=18,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Free roam","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=19,timer=0},tag=!playingHAS] if entity @e[name=Batter,type=villager,scores={timer=0}] if entity @e[name=Butterscotch,type=villager,scores={timer=0}] if entity @e[tag=wafer,type=villager,scores={timer=0}] run title @a[tag=!iceSkating,tag=!snowballRings,tag=!iceFishing] actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Free roam","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=19,timer=0},tag=!playingHAS] as @a[tag=iceSkating] run title @s actionbar [{"text":"Marshmallow ","color":"dark_purple","bold":"false"},{"text":"[","color":"gray","bold":"true"},{"score":{"name":"@e[name=Marshmallow,type=villager]","objective":"skatingScore"},"color":"dark_gray","bold":"false"},{"text":"/10","color":"dark_gray","bold":"false"},{"text":"]","color":"gray","bold":"true"},{"text":" You ","color":"dark_purple","bold":"false"},{"text":"[","color":"gray","bold":"true"},{"score":{"name":"@s","objective":"skatingScore"},"color":"dark_gray","bold":"false"},{"text":"/10","color":"dark_gray","bold":"false"},{"text":"]","color":"gray","bold":"true"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=19,timer=0},tag=!playingHAS] if entity @e[type=area_effect_cloud,tag=snowballRing,tag=glowstone] as @a[tag=snowballRings] run title @s actionbar [{"text":"Rings ","color":"dark_purple","bold":"false"},{"text":"[","color":"gray","bold":"true"},{"score":{"name":"@e[tag=controller,type=armor_stand]","objective":"snowballRings"},"color":"dark_gray","bold":"false"},{"text":"/30","color":"dark_gray","bold":"false"},{"text":"]","color":"gray","bold":"true"},{"text":" | ","color":"dark_gray","bold":"true"},{"score":{"name":"@e[type=area_effect_cloud,tag=snowballRing,tag=glowstone,limit=1,sort=nearest]","objective":"secondaryTime"},"color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=19,timer=0},tag=!playingHAS] unless entity @e[type=area_effect_cloud,tag=snowballRing,tag=glowstone] as @a[tag=snowballRings] run title @s actionbar [{"text":"Rings ","color":"dark_purple","bold":"false"},{"text":"[","color":"gray","bold":"true"},{"score":{"name":"@e[tag=controller,type=armor_stand]","objective":"snowballRings"},"color":"dark_gray","bold":"false"},{"text":"/30","color":"dark_gray","bold":"false"},{"text":"]","color":"gray","bold":"true"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=19,timer=0,timerD2=0..9},tag=!playingHAS] as @a[tag=iceFishing] run title @s actionbar [{"text":"Fish ","color":"dark_purple","bold":"false"},{"text":"[","color":"gray","bold":"true"},{"score":{"name":"@e[tag=controller,type=armor_stand]","objective":"caughtFish"},"color":"dark_gray","bold":"false"},{"text":"/6","color":"dark_gray","bold":"false"},{"text":"]","color":"gray","bold":"true"},{"text":" | ","color":"dark_gray","bold":"true"},{"score":{"name":"@e[tag=controller]","objective":"timerD3"},"color":"dark_purple","bold":"false"},{"text":":","color":"dark_purple","bold":"false"},{"text":"0","color":"dark_purple","bold":"false"},{"score":{"name":"@e[tag=controller]","objective":"timerD2"},"color":"dark_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=19,timer=0,timerD2=10..},tag=!playingHAS] as @a[tag=iceFishing] run title @s actionbar [{"text":"Fish ","color":"dark_purple","bold":"false"},{"text":"[","color":"gray","bold":"true"},{"score":{"name":"@e[tag=controller,type=armor_stand]","objective":"caughtFish"},"color":"dark_gray","bold":"false"},{"text":"/6","color":"dark_gray","bold":"false"},{"text":"]","color":"gray","bold":"true"},{"text":" | ","color":"dark_gray","bold":"true"},{"score":{"name":"@e[tag=controller]","objective":"timerD3"},"color":"dark_purple","bold":"false"},{"text":":","color":"dark_purple","bold":"false"},{"score":{"name":"@e[tag=controller]","objective":"timerD2"},"color":"dark_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=19,timer=0},tag=playingHAS] if entity @e[name=Batter,type=villager,scores={timer=0}] run title @a actionbar [{"text":"Candy villagers found ","color":"dark_purple","bold":"false"},{"text":"[","color":"gray","bold":"true"},{"score":{"name":"@e[tag=controller,type=armor_stand]","objective":"found"},"color":"dark_gray","bold":"false"},{"text":"/4","color":"dark_gray","bold":"false"},{"text":"]","color":"gray","bold":"true"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=20..26,timer=0}] unless entity @e[type=iron_golem,tag=sprinkles,scores={sprinkles=1..}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Escape the prison","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=27,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Capture Gilbert","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=28,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Start the ritual","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=29,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Go into the inn and talk to Syrup to sleep","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=30,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Talk to Licorice","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=31,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Talk to the candy villagers about the election","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=32,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Visit the south side of the village","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=35,timer=0},tag=portalActive] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Talk to Licorice","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=36,timer=0},tag=!portalActive] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Candy villagers remaining ","color":"light_purple","bold":"false"},{"text":"[","color":"gray","bold":"true"},{"score":{"name":"@e[tag=controller]","objective":"huntingSeason"},"color":"dark_gray","bold":"false"},{"text":"/13","color":"dark_gray","bold":"false"},{"text":"]","color":"gray","bold":"true"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=36,timer=0},tag=portalActive] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Exit through the portal","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=37,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Talk to Nicole to sleep","color":"light_purple","bold":"false"}]

#playtime
execute as @e[tag=controller,type=armor_stand,scores={scene=1..,count=1..}] run scoreboard players add @s playtime 1
execute as @e[tag=controller,type=armor_stand,scores={scene=1..,playtime=20}] run scoreboard players add @s second 1
execute as @e[tag=controller,type=armor_stand,scores={scene=1..,playtime=20,second=60}] run scoreboard players add @s minute 1
execute as @e[tag=controller,type=armor_stand,scores={scene=1..,playtime=20,second=60,minute=60}] run scoreboard players add @s hour 1
execute as @e[tag=controller,type=armor_stand,scores={scene=1..,playtime=20,second=60,minute=60}] run scoreboard players set @s minute 0
execute as @e[tag=controller,type=armor_stand,scores={scene=1..,playtime=20,second=60}] run scoreboard players set @s second 0
execute as @e[tag=controller,type=armor_stand,scores={scene=1..,playtime=20}] run scoreboard players reset * playtime

#drop player specific item
execute as @a[scores={dropironsword=2..}] run function single:dropironsword
execute as @a[scores={dropstoneaxe=2..}] run function single:dropstoneaxe
execute as @a[scores={dropbow=2..}] run function single:dropbow
execute as @a[scores={droparrow=2..}] run function single:droparrow
execute as @a[scores={dropironaxe=2..}] run function single:dropironaxe
execute as @a[scores={dropstonesword=2..}] run function single:dropstonesword
execute as @a[scores={dropshield=2..}] run function single:dropshield
execute as @a[scores={dropironsword=1..}] run scoreboard players add @s dropironsword 1
execute as @a[scores={dropstoneaxe=1..}] run scoreboard players add @s dropstoneaxe 1
execute as @a[scores={dropbow=1..}] run scoreboard players add @s dropbow 1
execute as @a[scores={droparrow=1..}] run scoreboard players add @s droparrow 1
execute as @a[scores={dropironaxe=1..}] run scoreboard players add @s dropironaxe 1
execute as @a[scores={dropstonesword=1..}] run scoreboard players add @s dropstonesword 1
execute as @a[scores={dropshield=1..}] run scoreboard players add @s dropshield 1
execute as @a[scores={dropironsword=1..}] at @s positioned ~ ~1 ~ run kill @e[type=item,distance=..1,nbt={Item:{id:"minecraft:iron_sword"}}]
execute as @a[scores={dropstoneaxe=1..}] at @s positioned ~ ~1 ~ run kill @e[type=item,distance=..1,nbt={Item:{id:"minecraft:stone_axe"}}]
execute as @a[scores={dropbow=1..}] at @s positioned ~ ~1 ~ run kill @e[type=item,distance=..1,nbt={Item:{id:"minecraft:bow"}}]
execute as @a[scores={droparrow=1..}] at @s positioned ~ ~1 ~ run kill @e[type=item,distance=..1,nbt={Item:{id:"minecraft:arrow"}}]
execute as @a[scores={dropironaxe=1..}] at @s positioned ~ ~1 ~ run kill @e[type=item,distance=..1,nbt={Item:{id:"minecraft:iron_axe"}}]
execute as @a[scores={dropstonesword=1..}] at @s positioned ~ ~1 ~ run kill @e[type=item,distance=..1,nbt={Item:{id:"minecraft:stone_sword"}}]
execute as @a[scores={dropshield=1..}] at @s positioned ~ ~1 ~ run kill @e[type=item,distance=..1,nbt={Item:{id:"minecraft:shield"}}]

#no dropping items
execute as @a at @s run data merge entity @e[type=item,limit=1,sort=nearest,distance=..2,tag=!noPickup,tag=!noTrade] {PickupDelay:0}

#drink potion
execute as @a[scores={drinkPotion=1..}] run clear @s glass_bottle
execute as @a[scores={drinkPotion=1..}] run scoreboard players reset @s drinkPotion

#conundrum village portal in twilight town
execute unless entity @e[tag=controller,type=armor_stand,scores={powerCandy=4..}] as @a[x=313,y=3,z=-823,dx=4,dy=0,dz=4,tag=!conundrumPortal1] run tellraw @s [{"text":"This portal is not currently active!","color":"red"}]
execute unless entity @e[tag=controller,type=armor_stand,scores={powerCandy=4..}] as @a[x=313,y=3,z=-823,dx=4,dy=0,dz=4,tag=!conundrumPortal1] at @s run playsound block.anvil.place master @s ~ ~ ~ 1000
execute if entity @e[tag=controller,type=armor_stand,scores={powerCandy=4..,scene=14}] as @a[x=313,y=3,z=-823,dx=4,dy=0,dz=4,tag=!conundrumPortal1] run function single:day2pt14
tag @a[tag=conundrumPortal1] remove conundrumPortal1
execute as @a[x=313,y=3,z=-823,dx=4,dy=0,dz=4,tag=!conundrumPortal1] run tag @s add conundrumPortal1

#basement prevention
tellraw @a[x=277,y=4,z=-819,distance=..2] {"text":"The mayor's basement is too dark! You'll need a torch to go down there.","color":"red"}
execute as @a[x=277,y=4,z=-819,distance=..2] at @s run playsound block.anvil.place master @s ~ ~ ~ 1000
tp @a[x=277,y=4,z=-819,distance=..2] 281 5 -819 90 20

#display gold
execute as @a[scores={displayGold=1..}] run function single:displaygold

#arrows
kill @e[type=arrow,nbt={inGround:1b}]

#kill for gold
#candy zombie villager
execute as @a[scores={killCandyZV=1..}] run scoreboard players add @s gold 1
execute as @a[scores={killCandyZV=1..}] run tellraw @s [{"text":"+1 gold","color":"yellow"}]
execute as @a[scores={killCandyZV=1..}] run scoreboard players reset @s killCandyZV

#credits
execute as @a[scores={credits=1}] run tellraw @s {"text":"Click here to view the creator's Youtube channel","color":"dark_red","bold":"true","clickEvent":{"action":"open_url","value":"https://www.youtube.com/channel/UCvW7dwUX8A6CttSPN_1BvqQ"}}
execute as @a[scores={credits=1}] run playsound ui.button.click master @s ~ ~ ~ 1000
execute as @a[scores={credits=1}] run scoreboard players reset @s credits

#obtained blue orchid
execute as @e[type=armor_stand,tag=controller,tag=!blueOrchid] as @a[scores={player=1..},nbt={Inventory:[{id:"minecraft:blue_orchid",Count:1b}]}] run function single:blueorchid

#regen
effect give @a[scores={regenTime=80..,Health=..19}] minecraft:regeneration 1 2 true
scoreboard players reset @a[scores={regenTime=80..}] regenTime

#timer
execute as @e[type=armor_stand,tag=controller,scores={timer=1..,count=1..}] run scoreboard players add @s time 1
execute as @e[type=armor_stand,tag=controller,scores={count=1..}] as @e[type=villager,scores={timer=1..}] run scoreboard players add @s time 1
execute as @e[type=armor_stand,tag=controller,scores={count=1..}] as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[type=sheep,scores={timer=1..}] run scoreboard players add @e time 1

#other
execute as @e[type=item,tag=noPickup] run data merge entity @s {PickupDelay:32767,Age:-32767}
effect give @a saturation 99999 255 true
execute as @e[scores={timer=1..}] run scoreboard players set @a talk 100
execute as @e[type=villager] at @s positioned ~ ~1 ~ run kill @e[type=fishing_bobber,distance=..1]