clear @a magenta_dye
execute as @e[type=item,nbt={Item:{id:"minecraft:magenta_dye"}}] run data merge entity @s {Age:-32767}

#no non-participants enter rink
execute as @a[x=467,y=5,z=-675,dx=11,dy=2,dz=11,tag=!iceSkating] at @s if block ~ ~-1 ~ blue_ice run tellraw @s [{"text":"You cannot enter the rink while a skate-off is active!","color":"red"}]
execute as @a[x=467,y=5,z=-675,dx=11,dy=2,dz=11,tag=!iceSkating] at @s if block ~ ~-1 ~ blue_ice run playsound block.anvil.place master @s ~ ~ ~ 1000
execute as @a[x=467,y=5,z=-675,dx=11,dy=2,dz=11,tag=!iceSkating] at @s if block ~ ~-1 ~ blue_ice run tp @s 483 6 -670 90 0

#summon candies
execute unless entity @e[type=area_effect_cloud,tag=skatingCandy,tag=hasCandy] as @e[name=Marshmallow,type=villager] at @s if block ~ ~-1 ~ blue_ice run scoreboard players add @s secondaryTime 1

tag @e[type=area_effect_cloud,tag=skatingCandy] remove candyNear
execute as @a[tag=iceSkating] at @s run tag @e[type=area_effect_cloud,tag=skatingCandy,tag=!hasCandy,distance=..2] add candyNear
execute as @e[name=Marshmallow,type=villager] at @s run tag @e[type=area_effect_cloud,tag=skatingCandy,tag=!hasCandy,distance=..2] add candyNear

execute as @e[name=Marshmallow,type=villager,scores={secondaryTime=80}] as @e[type=area_effect_cloud,tag=skatingCandy,tag=!hasCandy,tag=!candyNear,sort=random,limit=1] at @s run summon item ~ ~0.2 ~ {Item:{id:"minecraft:magenta_dye",Count:1b,tag:{display:{Name:'{"text":"Candy","italic":"false"}'}}}}
execute as @e[name=Marshmallow,type=villager,scores={secondaryTime=80}] run scoreboard players reset @s secondaryTime

#area effect clouds
tag @e[type=area_effect_cloud,tag=skatingCandy] remove hasCandy
execute as @e[type=area_effect_cloud,tag=skatingCandy] at @s if entity @e[type=item,nbt={Item:{id:"minecraft:magenta_dye"}},distance=..1] run tag @s add hasCandy

#marshmallow enter rink
execute as @e[name=Marshmallow,type=villager,tag=!ready] at @s unless block ~ ~-1 ~ blue_ice run tp @s ~-0.1 6 ~ 90 0

execute as @e[name=Marshmallow,type=villager,tag=!ready] at @s if block ~ ~-1 ~ blue_ice run fill 478 6 -670 478 6 -669 cyan_terracotta
execute as @e[name=Marshmallow,type=villager,tag=!ready] at @s if block ~ ~-1 ~ blue_ice run fill 478 7 -670 478 7 -669 white_stained_glass_pane
execute as @e[name=Marshmallow,type=villager,tag=!ready] at @s if block ~ ~-1 ~ blue_ice run tp @e[name=Marshmallow,type=villager,limit=1] 477 6 -670
execute as @e[name=Marshmallow,type=villager,tag=!ready] at @s if block ~ ~-1 ~ blue_ice run playsound block.piston.contract master @a ~ ~ ~ 1
execute as @e[name=Marshmallow,type=villager,tag=!ready] at @s if block ~ ~-1 ~ blue_ice run tag @s add ready

#marshmallow tp to hasCandy AEC
execute if entity @a[tag=iceSkating,scores={skatingScore=0..2},limit=1] as @e[name=Marshmallow,type=villager] at @s if block ~ ~-1 ~ blue_ice facing entity @e[type=item,nbt={Item:{id:"minecraft:magenta_dye"}},sort=nearest,limit=1] eyes rotated ~ 0 run teleport @s ^ ^ ^0.12 facing entity @e[type=item,nbt={Item:{id:"minecraft:magenta_dye"}},sort=nearest,limit=1] eyes
execute if entity @a[tag=iceSkating,scores={skatingScore=3..4},limit=1] as @e[name=Marshmallow,type=villager] at @s if block ~ ~-1 ~ blue_ice facing entity @e[type=item,nbt={Item:{id:"minecraft:magenta_dye"}},sort=nearest,limit=1] eyes rotated ~ 0 run teleport @s ^ ^ ^0.14 facing entity @e[type=item,nbt={Item:{id:"minecraft:magenta_dye"}},sort=nearest,limit=1] eyes
execute if entity @a[tag=iceSkating,scores={skatingScore=5..6},limit=1] as @e[name=Marshmallow,type=villager] at @s if block ~ ~-1 ~ blue_ice facing entity @e[type=item,nbt={Item:{id:"minecraft:magenta_dye"}},sort=nearest,limit=1] eyes rotated ~ 0 run teleport @s ^ ^ ^0.16 facing entity @e[type=item,nbt={Item:{id:"minecraft:magenta_dye"}},sort=nearest,limit=1] eyes
execute if entity @a[tag=iceSkating,scores={skatingScore=7..8},limit=1] as @e[name=Marshmallow,type=villager] at @s if block ~ ~-1 ~ blue_ice facing entity @e[type=item,nbt={Item:{id:"minecraft:magenta_dye"}},sort=nearest,limit=1] eyes rotated ~ 0 run teleport @s ^ ^ ^0.18 facing entity @e[type=item,nbt={Item:{id:"minecraft:magenta_dye"}},sort=nearest,limit=1] eyes
execute if entity @a[tag=iceSkating,scores={skatingScore=9..},limit=1] as @e[name=Marshmallow,type=villager] at @s if block ~ ~-1 ~ blue_ice facing entity @e[type=item,nbt={Item:{id:"minecraft:magenta_dye"}},sort=nearest,limit=1] eyes rotated ~ 0 run teleport @s ^ ^ ^0.2 facing entity @e[type=item,nbt={Item:{id:"minecraft:magenta_dye"}},sort=nearest,limit=1] eyes

#marshmallow pickup candy
execute as @e[name=Marshmallow,type=villager] at @s as @e[type=area_effect_cloud,tag=skatingCandy,tag=hasCandy,distance=..1] run scoreboard players add @e[name=Marshmallow,type=villager] skatingScore 1
execute as @e[name=Marshmallow,type=villager] at @s as @e[type=area_effect_cloud,tag=skatingCandy,tag=hasCandy,distance=..1] run playsound entity.item.pickup master @a ~ ~ ~ 2
execute as @e[name=Marshmallow,type=villager] at @s as @e[type=area_effect_cloud,tag=skatingCandy,tag=hasCandy,distance=..1] run kill @e[type=item,nbt={Item:{id:"minecraft:magenta_dye"}},distance=..1,limit=1,sort=nearest]

#end leave rink
execute as @a[tag=!inRink,tag=iceSkating] run function single:stopskating

#end Marshmallow wins
execute as @e[name=Marshmallow,type=villager,scores={skatingScore=10..}] run tag @s add lost
execute as @e[name=Marshmallow,type=villager,scores={skatingScore=10..}] run function single:stopskating

#end player wins
execute as @a[tag=iceSkating,scores={skatingScore=10..}] run tag @e[name=Marshmallow,type=villager] add won
execute as @a[tag=iceSkating,scores={skatingScore=10..}] run function single:stopskating